<?php 
include('../../../../configuracion.php');
include('../config.php');

$id = isset($_GET['id']) ? $_GET['id'] : NULL;
$row = $db->row(TABLA,"*","id={$id}");

// Limpiamos los datos recibidos
$_POST['respuesta'] = isset($_POST['respuesta']) ? $_POST['respuesta'] : NULL;

$respuesta = funcion::LimpiaComillaSimple($_POST['respuesta']);


$motivo = $row->motivo;
$nombre = $row->nombre_completo;

$email = $row->email;
$telefono = $row->telefono;

$comuna = $db->getVar('comunas','nombre',"id='{$row->comuna}'");
$region = $db->getVar('regiones','nombre',"id='{$row->region}'");

$direccion = $row->direccion;
$mensaje = $row->mensaje;

$pais = $row->pais;

// Asignamos el resto de las variables
$fecha = date('Y-m-d H:i:s');
$fecha_castellano = date('d-m-Y | H:i a');


	// Incluimos la clase PHPMailer
	require "../../../../lib/class.phpmailer.php";

	require_once "mail.php";
	
		// INSERTAMOS EN LA BD
		$datos = array(
			'fecha_respuesta' => $db->string($fecha),
			'respuesta' => $db->string($respuesta),
            'visto' => 1,
		);
		
	

if ($db->update(TABLA,$datos,"id='{$id}'")==1) {
			$mensaje_respuesta = 'El Mensaje fue enviado exitosamente.';
			$url_respuesta = MAGO."c/".MODULO;
		} else {
			$mensaje_respuesta = 'ERROR: No se pudo enviar el mensaje';
			$url_respuesta = MAGO."c/".MODULO."/detalle/".$id;
		}

echo $mensaje_respuesta.'|'.$url_respuesta;
exit;
?>